Subject: Re: bug#7397: make-docfile should support the @FILE command line option

From: Dan Nicolaescu <[email-masked]>
Date: Sun, 14 Nov 2010 12:01:29 -0500

Eli Zaretskii <[email-masked]> writes:

>> From: Dan Nicolaescu <[email-masked]>
>> Date: Sun, 14 Nov 2010 04:01:28 -0500
>> Cc: 
>> 
>> src/Makefile.in contains some ugliness just in order to reduce the
>> command line length for make-docfile.
>> 
>> Instead make-docfile could support the @FILE syntax.  That would
>> remove the command line length limitation.
>
> I'm not against adding this feature to make-docfile, but are we sure
> this problem is real nowadays?  What systems cannot grok the full list
> of Lisp files?  shortlisp is 2.2KB long; how much longer can the full
> list be?  I don't think we have any system supported that cannot
> handle at least 10K long commands, do we?
>
> Maybe we should simply dump this ugliness, and see if someone hollers?

That's an option, but it might cause problems down the road when the
length increases again...
@FILE guarantees that we won't have any problems in the future.